Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 832629 - net-fs/samba-4.15.5 - ../.../wins.c: error: NETDB_INTERNAL undeclared (first use in this function)
Summary: net-fs/samba-4.15.5 - ../.../wins.c: error: NETDB_INTERNAL undeclared (first ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo musl team
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2022-02-03 14:42 UTC by Toralf Förster
Modified: 2022-06-24 05:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.50 KB, text/plain)
2022-02-03 14:42 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,230.48 KB, text/plain)
2022-02-03 14:42 UTC, Toralf Förster
Details
environment (environment,178.00 KB, text/plain)
2022-02-03 14:42 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,16.85 KB, application/x-bzip)
2022-02-03 14:42 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,285.04 KB, application/x-bzip)
2022-02-03 14:42 UTC, Toralf Förster
Details
net-fs:samba-4.15.5:20220203-065105.log.bz2 (net-fs:samba-4.15.5:20220203-065105.log.bz2,83.05 KB, application/x-bzip)
2022-02-03 14:42 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,206.48 KB, application/x-bzip)
2022-02-03 14:42 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2022-02-03 14:42:13 UTC
too long lines were shrinked:

07:54:13 runner ['x86_64-gentoo-linux-musl-gcc', '-pipe', '-march=native', '-fno-diagnostics-color', '-O2', '-falign-functions=32:25:16', '-Wl,-O1', '-Wl,--as-needed', '-Wl,--defsym=__gentoo_check_ldflags__=0', '-Wl,--version-script=/var/tmp/portage/net-fs/samba-4.15.5/work/samba-4.15.5-abi_x86_64.a
[1833/2904] Linking bin/default/lib/replace/replace_testsuite
07:54:13 runner ['x86_64-gentoo-linux-musl-gcc', '-pipe', '-march=native', '-fno-diagnostics-color', '-O2', '-falign-functions=32:25:16', '-Wl,-O1', '-Wl,--as-needed', '-Wl,--defsym=__gentoo_check_ldflags__=0', 'lib/replace/tests/main.c.6.o', 'lib/replace/tests/testsuite.c.5.o', 'lib/replace/tests/s
../../nsswitch/wins.c: In function '_nss_wins_gethostbyname_r':
../../nsswitch/wins.c:275:29: error: 'NETDB_INTERNAL' undeclared (first use in this function)
  275 |                 *h_errnop = NETDB_INTERNAL;
      |                             ^~~~~~~~~~~~~~

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_musl-j4-20220201-020013

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-gentoo-linux-musl-11.2.1 *
clang/llvm (if any):
clang version 13.0.1
Target: x86_64-gentoo-linux-musl
Thread model: posix
InstalledDir: /usr/lib/llvm/13/bin
/usr/lib/llvm/13
13.0.1
Python 3.9.10
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby27 (with Rubygems)
  [3]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.58.1 *
php cli:

  HEAD of ::gentoo
commit d8e1b4fe25296c73eb55c9787b15bb9858e9bccc
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Thu Feb 3 06:36:55 2022 +0000

    2022-02-03 06:36:53 UTC

emerge -qpvO net-fs/samba
[ebuild  N    ] net-fs/samba-4.15.5  USE="acl pam python regedit syslog system-mitkrb5 -addc -ads -ceph -client -cluster -cups -debug (-dmapi) (-fam) -glusterfs -gpg -iprint -json -ldap -profiling-data -quota (-selinux) -snapper -spotlight (-system-heimdal) (-systemd) (-test) -winbind -zeroconf" CPU_FLAGS_X86="aes" PYTHON_SINGLE_TARGET="python3_9 -python3_8 -python3_10"
Comment 1 Toralf Förster gentoo-dev 2022-02-03 14:42:14 UTC
Created attachment 764271 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2022-02-03 14:42:16 UTC
Created attachment 764272 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2022-02-03 14:42:17 UTC
Created attachment 764273 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2022-02-03 14:42:19 UTC
Created attachment 764274 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2022-02-03 14:42:20 UTC
Created attachment 764275 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2022-02-03 14:42:21 UTC
Created attachment 764276 [details]
net-fs:samba-4.15.5:20220203-065105.log.bz2
Comment 7 Toralf Förster gentoo-dev 2022-02-03 14:42:23 UTC
Created attachment 764277 [details]
temp.tar.bz2
Comment 8 Larry the Git Cow gentoo-dev 2022-06-24 05:26:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9923d7331d1189316726fcab47ba89a2623f82ab

commit 9923d7331d1189316726fcab47ba89a2623f82ab
Author:     brahmajit das <brahmajit.xyz@gmail.com>
AuthorDate: 2022-06-21 05:48:08 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-06-24 05:26:09 +0000

    net-fs/samba: Apply the netdb defines patch
    
    NETDB_INTERNAL and NETDB_INTERNAL are not defined in musl as a result
    the build is failing.
    
    Acked-by: David Seifert <soap@gentoo.org>
    Closes: https://bugs.gentoo.org/835017
    Closes: https://bugs.gentoo.org/832629
    Signed-off-by: brahmajit das <brahmajit.xyz@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/26016
    Signed-off-by: Sam James <sam@gentoo.org>

 net-fs/samba/files/samba-4.16.1-netdb-defines.patch | 21 +++++++++++++++++++++
 net-fs/samba/samba-4.16.1.ebuild                    |  1 +
 2 files changed, 22 insertions(+)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb9e80e963c1cd197ef7c27b77efd9669f18132a

commit eb9e80e963c1cd197ef7c27b77efd9669f18132a
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-06-24 05:23:40 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-06-24 05:26:10 +0000

    net-fs/samba: add upstream link for musl patch
    
    Bug: https://bugs.gentoo.org/835017
    Bug: https://bugs.gentoo.org/832629
    Acked-by: David Seifert <soap@gentoo.org>
    Signed-off-by: Sam James <sam@gentoo.org>

 net-fs/samba/files/samba-4.16.1-netdb-defines.patch | 2 ++
 1 file changed, 2 insertions(+)